%global forgeurl https://gitlab.com/agrumery/aGrUM
Version:        1.8.3
%global tag %{version}
%forgemeta

Name:           agrum
Release:        %autorelease
Summary:        A C++ library to facilitate the development of applications using graphical models
License:        LGPL-3.0-only
URL:            https://agrum.gitlab.io/
Source0:        %{forgesource}
Patch0:         agrum-skip-rpath.patch

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  swig

%description
aGrUM is a C++ library designed to facilitate the development of applications
using graphical models such as Bayesian networks, influence diagrams, decision
trees, GAI networks or Markov decision processes.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains development files for %{name}.

%package -n     python3-%{name}
Summary:        Python wrapper for %{name}
BuildRequires:  python3-devel
BuildRequires:  %{py3_dist matplotlib}
BuildRequires:  %{py3_dist matplotlib-inline}
BuildRequires:  %{py3_dist pydot}
BuildRequires:  %{py3_dist numpy}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description -n python3-%{name}
python3-%{name} is a Python wrapper for the C++ aGrUM library (using SWIG interface
generator). It provides a high-level interface to the part of aGrUM allowing to
create, model, learn, use, calculate with and embed Bayesian Networks and other
graphical models. Some specific (python and C++) codes are added in order to
simplify and extend the aGrUM API.

%prep
%forgeautosetup -p1

# remove third-party libraries
rm -r src/aGrUM/tools/externals

%build
%cmake \
    -GNinja \
    -DCMAKE_BUILD_TYPE=Release \
    -DBUILD_PYTHON=ON \
    -DCMAKE_SKIP_INSTALL_RPATH=OFF \

%cmake_build

%install
%cmake_install

%check

%files
%license LICENSE COPYING COPYING.LESSER
%doc README.md
%{_libdir}/libagrum.so.1*

%files devel
%{_includedir}/agrum/
%{_libdir}/libagrum.so
%{_libdir}/pkgconfig/agrum.pc
%dir %{_libdir}/cmake/aGrUM
%{_libdir}/cmake/aGrUM/*.cmake

%files -n python3-%{name}
%{python3_sitearch}/pyAgrum-%{version}-*.egg-info
%{python3_sitearch}/pyAgrum-%{version}.dist-info/
%{python3_sitearch}/pyAgrum/

%changelog
%autochangelog
